﻿//////////////////////////////////////////////
// GlesShaderInstanceMemorySlot.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class QueuedRenderableObject ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../../../../Shaders/Memory/ShaderInstanceMemorySlot.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesShaderInstanceMemorySlot final : public ShaderInstanceMemorySlot
	{
		public :

			// Constructor, destructor
			GlesShaderInstanceMemorySlot () ;
			~GlesShaderInstanceMemorySlot () ;

			// Filling
			void fillBuffer (unsigned char* buffer, QueuedRenderableObject* object) ;
	} ;
}